Bug 1978746 - metrics role task to enable logging for targeted hosts not working
Summary: metrics role task to enable logging for targeted hosts not working
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: rhel-system-roles
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 9.0 Beta
Assignee: Rich Megginson
QA Contact: Jakub Haruda
URL:
Whiteboard: role:metrics
Depends On: 1967335
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-02 15:56 UTC by Rich Megginson
Modified: 2021-12-07 22:06 UTC (History)
8 users (show)

Fixed In Version: rhel-system-roles-1.4.0-1.el9
Doc Type: Bug Fix
Doc Text:
Cause: There was a bug to refer targeted hosts in enabling the performance metric logging task. Consequence: The control file for performance metric logging was not generated. Fix: The targeted hosts are correctly referred. Result: The control file is successfully created and performance metric logging is executed.
Clone Of: 1967335
Environment:
Last Closed: 2021-12-07 22:04:56 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Nathan Scott 2021-07-05 05:37:35 UTC
| @djez request for pre-verify and qa_ack - not sure how to verify this - @nathans please provide verification steps, or defer to metrics QE

I think the simplest way is to check that one file exists for each remote host we intend to log (i.e. one file for each element in the metrics_monitored_hosts array) under /etc/pcp/pmlogger.  Adding jkurik to CC for any other thoughts he might have re testing this.


Note You need to log in before you can comment on or make changes to this bug.